export declare const keyframes: {
    spin: {
        from: {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    ping: {
        '0%': {
            transform: string;
            opacity: string;
        };
        '75%, 100%': {
            transform: string;
            opacity: string;
        };
    };
    pulse: {
        '0%, 100%': {
            opacity: string;
        };
        '50%': {
            opacity: string;
        };
    };
    bounce: {
        '0%, 100%': {
            transform: string;
            animationTimingFunction: string;
        };
        '50%': {
            transform: string;
            animationTimingFunction: string;
        };
    };
    shock: {
        'from, 20%, 53%, 80%, to': {
            animationTimingFunction: string;
            transform: string;
        };
        '40%, 43%': {
            animationTimingFunction: string;
            transform: string;
        };
        '70%': {
            animationTimingFunction: string;
            transform: string;
        };
        '90%': {
            transform: string;
        };
    };
    flash: {
        'from, 50%, to': {
            opacity: string;
        };
        '25%, 75%': {
            opacity: string;
        };
    };
    bubble: {
        from: {
            transform: string;
        };
        '50%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    rubberBand: {
        from: {
            transform: string;
        };
        '30%': {
            transform: string;
        };
        '40%': {
            transform: string;
        };
        '50%': {
            transform: string;
        };
        '65%': {
            transform: string;
        };
        '75%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    shakeX: {
        'from, to': {
            transform: string;
        };
        '10%, 30%, 50%, 70%, 90%': {
            transform: string;
        };
        '20%, 40%, 60%, 80%': {
            transform: string;
        };
    };
    shakeY: {
        'from, to': {
            transform: string;
        };
        '10%, 30%, 50%, 70%, 90%': {
            transform: string;
        };
        '20%, 40%, 60%, 80%': {
            transform: string;
        };
    };
    headShake: {
        '0%': {
            transform: string;
        };
        '6.5%': {
            transform: string;
        };
        '18.5%': {
            transform: string;
        };
        '31.5%': {
            transform: string;
        };
        '43.5%': {
            transform: string;
        };
        '50%': {
            transform: string;
        };
    };
    swing: {
        '20%': {
            transform: string;
        };
        '40%': {
            transform: string;
        };
        '60%': {
            transform: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    tada: {
        from: {
            transform: string;
        };
        '10%, 20%': {
            transform: string;
        };
        '30%, 50%, 70%, 90%': {
            transform: string;
        };
        '40%, 60%, 80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    wobble: {
        from: {
            transform: string;
        };
        '15%': {
            transform: string;
        };
        '30%': {
            transform: string;
        };
        '45%': {
            transform: string;
        };
        '60%': {
            transform: string;
        };
        '75%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    jello: {
        'from, 11.1% to': {
            transform: string;
        };
        '22.2%': {
            transform: string;
        };
        '33.3%': {
            transform: string;
        };
        '44.4%': {
            transform: string;
        };
        '55.5%': {
            transform: string;
        };
        '66.6%': {
            transform: string;
        };
        '77.7%': {
            transform: string;
        };
        '88.8%': {
            transform: string;
        };
    };
    heartBeat: {
        '0%': {
            transform: string;
        };
        '14%': {
            transform: string;
        };
        '28%': {
            transform: string;
        };
        '42%': {
            transform: string;
        };
        '70%': {
            transform: string;
        };
    };
    hinge: {
        '0%': {
            transformOrigin: string;
            animationTimingFunction: string;
        };
        '20%, 60%': {
            transform: string;
            transformOrigin: string;
            animationTimingFunction: string;
        };
        '40%, 80%': {
            transform: string;
            transformOrigin: string;
            animationTimingFunction: string;
        };
        to: {
            transform: string;
            opacity: string;
        };
    };
    jackInTheBox: {
        from: {
            opacity: string;
            transformOrigin: string;
            transform: string;
        };
        '50%': {
            transform: string;
        };
        '70%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    lightSpeedInRight: {
        from: {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    lightSpeedInLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    lightSpeedOutLeft: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    lightSpeedOutRight: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    flip: {
        from: {
            transform: string;
            animationTimingFunction: string;
        };
        '40%': {
            transform: string;
            animationTimingFunction: string;
        };
        '50%': {
            transform: string;
            animationTimingFunction: string;
        };
        '80%': {
            transform: string;
            animationTimingFunction: string;
        };
        to: {
            transform: string;
            animationTimingFunction: string;
        };
    };
    flipInX: {
        from: {
            transform: string;
            animationTimingFunction: string;
            opacity: string;
        };
        '40%': {
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            transform: string;
            opacity: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    flipInY: {
        from: {
            transform: string;
            animationTimingFunction: string;
            opacity: string;
        };
        '40%': {
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            transform: string;
            opacity: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    flipOutX: {
        from: {
            transform: string;
        };
        '30%': {
            transform: string;
            opacity: string;
        };
        to: {
            transform: string;
            opacity: string;
        };
    };
    flipOutY: {
        from: {
            transform: string;
        };
        '30%': {
            transform: string;
            opacity: string;
        };
        to: {
            transform: string;
            opacity: string;
        };
    };
    rotateIn: {
        from: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateInDownLeft: {
        from: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateInDownRight: {
        from: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateInUpLeft: {
        from: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateInUpRight: {
        from: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateOut: {
        from: {
            transformOrigin: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateOutDownLeft: {
        from: {
            transformOrigin: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateOutDownRight: {
        from: {
            transformOrigin: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateOutUpLeft: {
        from: {
            transformOrigin: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rotateOutUpRight: {
        from: {
            transformOrigin: string;
            opacity: string;
        };
        to: {
            transformOrigin: string;
            transform: string;
            opacity: string;
        };
    };
    rollIn: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    rollOut: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    zoomIn: {
        from: {
            opacity: string;
            transform: string;
        };
        '50%': {
            opacity: string;
        };
    };
    zoomInDown: {
        from: {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
    };
    zoomInLeft: {
        from: {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
    };
    zoomInRight: {
        from: {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
    };
    zoomInUp: {
        from: {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        '60%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
    };
    bounceIn: {
        'from, 20%, 40%, 60%, 80%, to': {
            animationTimingFunction: string;
        };
        '0%': {
            opacity: string;
            transform: string;
        };
        '20%': {
            transform: string;
        };
        '40%': {
            transform: string;
        };
        '60%': {
            transform: string;
            opacity: string;
        };
        '80%': {
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    bounceInDown: {
        'from, 60%, 75%, 90%, to': {
            animationTimingFunction: string;
        };
        '0%': {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '75%': {
            transform: string;
        };
        '90%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    bounceInLeft: {
        'from, 60%, 75%, 90%, to': {
            animationTimingFunction: string;
        };
        '0%': {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '75%': {
            transform: string;
        };
        '90%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    bounceInRight: {
        'from, 60%, 75%, 90%, to': {
            animationTimingFunction: string;
        };
        '0%': {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '75%': {
            transform: string;
        };
        '90%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    bounceInUp: {
        'from, 60%, 75%, 90%, to': {
            animationTimingFunction: string;
        };
        '0%': {
            opacity: string;
            transform: string;
        };
        '60%': {
            opacity: string;
            transform: string;
        };
        '75%': {
            transform: string;
        };
        '90%': {
            transform: string;
        };
        to: {
            transform: string;
        };
    };
    bounceOut: {
        '20%': {
            transform: string;
        };
        '50%, 55%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    bounceOutDown: {
        '20%': {
            transform: string;
        };
        '40%, 45%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    bounceOutLeft: {
        '20%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    bounceOutRight: {
        '20%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    bounceOutUp: {
        '20%': {
            transform: string;
        };
        '40%, 45%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    zoomOut: {
        from: {
            opacity: string;
        };
        '50%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
        };
    };
    zoomOutDown: {
        '40%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        to: {
            opacity: string;
            transform: string;
            transformOrigin: string;
            animationTimingFunction: string;
        };
    };
    zoomOutLeft: {
        '40%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
            transformOrigin: string;
        };
    };
    zoomOutRight: {
        '40%': {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
            transformOrigin: string;
        };
    };
    zoomOutUp: {
        '40%': {
            opacity: string;
            transform: string;
            animationTimingFunction: string;
        };
        to: {
            opacity: string;
            transform: string;
            transformOrigin: string;
            animationTimingFunction: string;
        };
    };
    slideInDown: {
        from: {
            transform: string;
            visibility: string;
        };
        to: {
            transform: string;
        };
    };
    slideInLeft: {
        from: {
            transform: string;
            visibility: string;
        };
        to: {
            transform: string;
        };
    };
    slideInRight: {
        from: {
            transform: string;
            visibility: string;
        };
        to: {
            transform: string;
        };
    };
    slideInUp: {
        from: {
            transform: string;
            visibility: string;
        };
        to: {
            transform: string;
        };
    };
    slideOutDown: {
        from: {
            transform: string;
        };
        to: {
            visibility: string;
            transform: string;
        };
    };
    slideOutLeft: {
        from: {
            transform: string;
        };
        to: {
            visibility: string;
            transform: string;
        };
    };
    slideOutRight: {
        from: {
            transform: string;
        };
        to: {
            visibility: string;
            transform: string;
        };
    };
    slideOutUp: {
        from: {
            transform: string;
        };
        to: {
            visibility: string;
            transform: string;
        };
    };
    fadeIn: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
        };
    };
    fadeInDown: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInDownBig: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInLeftBig: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInRight: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInRightBig: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInUp: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInUpBig: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInTopLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInTopRight: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInBottomLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeInBottomRight: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOut: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
        };
    };
    fadeOutDown: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutDownBig: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutLeft: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutLeftBig: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutRight: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutRightBig: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutUp: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutUpBig: {
        from: {
            opacity: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutTopLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutTopRight: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutBottomLeft: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    fadeOutBottomRight: {
        from: {
            opacity: string;
            transform: string;
        };
        to: {
            opacity: string;
            transform: string;
        };
    };
    backInUp: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backInDown: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backInLeft: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backInRight: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backOutUp: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backOutDown: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backOutLeft: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
    backOutRight: {
        '0%': {
            opacity: string;
            transform: string;
        };
        '80%': {
            opacity: string;
            transform: string;
        };
        '100%': {
            opacity: string;
            transform: string;
        };
    };
};
